curl --request PUT \
--url https://api-dev.paygen.online/cards/{cardId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cancellationReason": "lost",
"metadata": {},
"status": "active",
"spendingControls": {
"channels": {
"atm": true,
"pos": true,
"web": true,
"mobile": true
},
"allowedCategories": [
"<string>"
],
"blockedCategories": [
"<string>"
],
"spendingLimits": [
{
"amount": 123,
"interval": "<string>",
"categories": [
"<string>"
]
}
]
},
"creditAccountId": "<string>"
}
'{
"statusCode": 123,
"message": "<string>",
"data": {
"_id": "<string>",
"debitAccountId": "<string>",
"cardHolderId": "<string>",
"type": "virtual",
"brand": "Mastercard",
"currency": "NGN",
"metadata": {},
"status": "<string>",
"spendingControls": {
"channels": {
"atm": true,
"pos": true,
"web": true,
"mobile": true
},
"allowedCategories": [
"<string>"
],
"blockedCategories": [
"<string>"
],
"spendingLimits": [
{
"amount": 123,
"interval": "<string>",
"categories": [
"<string>"
]
}
]
},
"enable2FA": true,
"disposable": true
}
}curl --request PUT \
--url https://api-dev.paygen.online/cards/{cardId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cancellationReason": "lost",
"metadata": {},
"status": "active",
"spendingControls": {
"channels": {
"atm": true,
"pos": true,
"web": true,
"mobile": true
},
"allowedCategories": [
"<string>"
],
"blockedCategories": [
"<string>"
],
"spendingLimits": [
{
"amount": 123,
"interval": "<string>",
"categories": [
"<string>"
]
}
]
},
"creditAccountId": "<string>"
}
'{
"statusCode": 123,
"message": "<string>",
"data": {
"_id": "<string>",
"debitAccountId": "<string>",
"cardHolderId": "<string>",
"type": "virtual",
"brand": "Mastercard",
"currency": "NGN",
"metadata": {},
"status": "<string>",
"spendingControls": {
"channels": {
"atm": true,
"pos": true,
"web": true,
"mobile": true
},
"allowedCategories": [
"<string>"
],
"blockedCategories": [
"<string>"
],
"spendingLimits": [
{
"amount": 123,
"interval": "<string>",
"categories": [
"<string>"
]
}
]
},
"enable2FA": true,
"disposable": true
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
lost, stolen active, inactive, canceled Hide child attributes
Card updated successfully.
Hide child attributes
virtual, physical Mastercard, Visa NGN, USD Hide child attributes